#include <bits/stdc++.h>

using namespace std;

int niz[200000];
long long n,q;

string res(){
  long long l,r, suma = 0;
  cin >> l >> r;
  if(l == r) return "DA";
  
  for (int i = l ; i < r ; i++){
    if(niz[i] < niz[i-1]){
      suma += 1;
      if(suma > 1) return "NE";
    }
  }
  return "DA";
}

int main()
{
  cin >> n;
    
  for (int i = 0 ; i < n ; i++) cin >> niz[i];

  cin >> q;
  
  while(q--){
    cout << res() << endl;
  }
  return 0;
}